com.holonplatform.datastore.jpa.querydsl

## Interface QueryDslProperty<T>

- Type Parameters:
    `T` - Property type
  All Superinterfaces:
    com.holonplatform.core.property.CloneableProperty<T,com.holonplatform.core.property.PathProperty<T>,com.holonplatform.core.property.PathProperty.Builder<T,com.holonplatform.core.property.PathProperty<T>,?>>, com.holonplatform.core.property.CloneableProperty.CloneablePathProperty<T,com.holonplatform.core.property.PathProperty<T>>, com.holonplatform.core.ConverterExpression<T>, com.holonplatform.core.DataMappable, com.holonplatform.core.Expression, com.holonplatform.core.HasConfiguration<com.holonplatform.core.property.PropertyConfiguration>, com.holonplatform.core.i18n.Localizable, com.holonplatform.core.Path<T>, com.holonplatform.core.query.PathExpression<T>, com.holonplatform.core.property.PathProperty<T>, com.holonplatform.core.property.Property<T>, com.holonplatform.core.query.QueryExpression<T>, com.holonplatform.core.query.QueryProjection<T>, Serializable, com.holonplatform.core.TypedExpression<T>, com.holonplatform.core.Validator.Validatable<T>
  All Known Subinterfaces:
    QueryDslProperty.QueryDslPropertyBuilder<T>
  All Known Implementing Classes:
    DefaultQueryDslProperty

      public interface QueryDslProperty<T>
      extends com.holonplatform.core.property.PathProperty<T>

  A `PathProperty` bound to a QueryDSL `Path`.
  Since:
    4.3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `QueryDslProperty.QueryDslPropertyBuilder<T>` `QueryDslProperty` builder.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.PathProperty

      `com.holonplatform.core.property.PathProperty.Builder<T,P extends com.holonplatform.core.Path<T> & com.holonplatform.core.property.Property<T>,B extends com.holonplatform.core.property.PathProperty.Builder<T,P,B>>, com.holonplatform.core.property.PathProperty.PathPropertyBuilder<T>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.CloneableProperty

      `com.holonplatform.core.property.CloneableProperty.CloneablePathProperty<T,P extends com.holonplatform.core.property.Property<T> & com.holonplatform.core.Path<T>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.property.Property

      `com.holonplatform.core.property.Property.PropertyAccessException, com.holonplatform.core.property.Property.PropertyNotFoundException, com.holonplatform.core.property.Property.PropertyReadException, com.holonplatform.core.property.Property.PropertyReadOnlyException, com.holonplatform.core.property.Property.PropertyWriteException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.i18n.Localizable

      `com.holonplatform.core.i18n.Localizable.LocalizableBuilder, com.holonplatform.core.i18n.Localizable.LocalizationException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Path

      `com.holonplatform.core.Path.FinalPath<T>, com.holonplatform.core.Path.PathBuilder<T>`

  - ### Field Summary

    - ### Fields inherited from interface com.holonplatform.core.Path

      `PATH_HIERARCHY_SEPARATOR`

    - ### Fields inherited from interface com.holonplatform.core.DataMappable

      `DEFAULT_CONFIG_PROPERTY_PREFIX, PATH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.querydsl.core.types.Path<T>` | `getPath()` Get the QueryDSL property path
    `static <T> QueryDslProperty.QueryDslPropertyBuilder<T>` | `of(com.querydsl.core.types.Path<T> path)` Create a QueryDslProperty using given QueryDSL `Path`.

    - ### Methods inherited from interface com.holonplatform.core.property.PathProperty

      `create, create, isReadOnly`

    - ### Methods inherited from interface com.holonplatform.core.property.CloneableProperty

      `clone`

    - ### Methods inherited from interface com.holonplatform.core.property.Property

      `getConfiguration, getConvertedValue, getConverter, getExpressionValueConverter, getName, getTemporalType, getType, present, render, renderIfAvailable`

    - ### Methods inherited from interface com.holonplatform.core.Validator.Validatable

      `getValidators, validate`

    - ### Methods inherited from interface com.holonplatform.core.i18n.Localizable

      `builder, getMessage, getMessageArguments, getMessageCode, of, of`

    - ### Methods inherited from interface com.holonplatform.core.HasConfiguration

      `hasConfiguration`

    - ### Methods inherited from interface com.holonplatform.core.ConverterExpression

      `getModelType, getModelValue`

    - ### Methods inherited from interface com.holonplatform.core.TypedExpression

      `isCollectionExpression, isConverterExpression`

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

    - ### Methods inherited from interface com.holonplatform.core.query.PathExpression

      `asc, desc, from`

    - ### Methods inherited from interface com.holonplatform.core.Path

      `fullName, fullName, getName, getParent, isRootPath, of, relativeName, relativeName, stream`

    - ### Methods inherited from interface com.holonplatform.core.DataMappable

      `getDataPath, isDataMappable`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryExpression

      `between, count, eq, eq, goe, goe, gt, gt, in, in, in, isNotNull, isNull, loe, loe, lt, lt, max, min, neq, neq, nin, nin, nin`

    - ### Methods inherited from interface com.holonplatform.core.query.QueryProjection

      `bean, constant, countAll, path, propertySet, propertySet`

- - ### Method Detail

    - #### getPath

          com.querydsl.core.types.Path<T> getPath()

      Get the QueryDSL property path
      Returns:
        Property path

    - #### of

          static <T> QueryDslProperty.QueryDslPropertyBuilder<T> of(com.querydsl.core.types.Path<T> path)

      Create a QueryDslProperty using given QueryDSL `Path`.
      Type Parameters:
        `T` - Property type
      Parameters:
        `path` - QueryDSL property path
      Returns:
        A QueryDslPropertyBuilder for property configuration setup

Copyright © 2019 The Holon Platform. All rights reserved.